# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/jdi,lt070me05000.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: JDI model LT070ME05000 1200x1920 7" DSI Panel

maintainers:
  - Vinay Simha BN <simhavcs@gmail.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: jdi,lt070me05000

  enable-gpios: true
  reg: true
  reset-gpios: true

  vddp-supply:
    description: |
      The regulator that provides the supply voltage Power IC supply (3-5V)

  iovcc-supply:
    description: |
      The regulator that provides the supply voltage IOVCC,
      power supply for LCM (1.8V)

  dcdc-en-gpios:
    description: |
      phandle of the gpio for power ic line
      Power IC supply enable, High active

required:
  - compatible
  - reg
  - vddp-supply
  - iovcc-supply
  - enable-gpios
  - reset-gpios
  - dcdc-en-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "jdi,lt070me05000";
            reg = <0>;

            vddp-supply = <&pm8921_l17>;
            iovcc-supply = <&pm8921_lvs7>;

            enable-gpios = <&pm8921_gpio 36 GPIO_ACTIVE_HIGH>;
            reset-gpios = <&tlmm_pinmux 54 GPIO_ACTIVE_LOW>;
            dcdc-en-gpios = <&pm8921_gpio 23 GPIO_ACTIVE_HIGH>;
        };
    };

...
